Delete a resource work zone item
delete
/rest/ofscCore/v1/resources/{resourceId}/workZones/{workZoneItemId}
This operation deletes the specified work zone item for the specified resource.
Request
Path Parameters
-
resourceId(required): string
The unique identifier of the resource in Oracle Field Service.
-
workZoneItemId(required): string
The identifier of the work zone item that needs to be deleted. This identifier must be present in the list of work zone item IDs returned by the 'Get work zones' operation.
Response
Supported Media Types
- application/json
204 Response
This section describes the 204 status response for this operation.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete a work zone item by submitting a DELETE request on the REST resource.
Example of Request Header
The following shows an example of the response header.
DELETE /rest/ofscCore/v1/resources/<resourceId>/workZones/<workZoneItemId>
Example of Response Header
The following example shows the contents of the response header.
HTTP/1.1 204 No Content Server: nginx Date: Tue, 23 May 2017 13:13:18 GMT Content-Type: text/html; charset=utf-8 Connection: keep-alive Access-Control-Allow-Credentials: true